Bug 183800 - sysutils/heartbeat: FreeBSD 10 Clang/GCC Fix
sysutils/heartbeat: FreeBSD 10 Clang/GCC Fix
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: William Grzybowski
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-08 20:40 UTC by ports
Modified: 2013-11-09 12:40 UTC (History)
0 users

See Also:


Attachments
file.diff (997 bytes, patch)
2013-11-08 20:40 UTC, ports
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ports 2013-11-08 20:40:00 UTC
Update for hardcoded gcc reference in source tools/Makefile.am.

Fix: Patched to use $(CC) instead of 'gcc'.

Patch attached with submission follows:
How-To-Repeat: Build the port. It will fail now that gcc is out of base.
Comment 1 William Grzybowski freebsd_committer 2013-11-09 03:33:26 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wg

I'll take it.
Comment 2 William Grzybowski freebsd_committer 2013-11-09 12:30:34 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter freebsd_committer 2013-11-09 12:30:35 UTC
Author: wg
Date: Sat Nov  9 12:30:28 2013
New Revision: 333284
URL: http://svnweb.freebsd.org/changeset/ports/333284

Log:
  sysutils/heartbeat: fix build without gcc
  
  - Fix build without gcc
  - Convert lib depends to new format [1]
  
  PR:		ports/183800
  Submitted by:	maintainer, wg [1]

Added:
  head/sysutils/heartbeat/files/patch-tools-Makefile.am   (contents, props changed)
Modified:
  head/sysutils/heartbeat/Makefile

Modified: head/sysutils/heartbeat/Makefile
==============================================================================
--- head/sysutils/heartbeat/Makefile	Sat Nov  9 12:21:06 2013	(r333283)
+++ head/sysutils/heartbeat/Makefile	Sat Nov  9 12:30:28 2013	(r333284)
@@ -16,10 +16,10 @@ COMMENT=	Subsystem for High-Availability
 
 BUILD_DEPENDS=	bison:${PORTSDIR}/devel/bison
 
-LIB_DEPENDS=	gnutls:${PORTSDIR}/security/gnutls \
-		net:${PORTSDIR}/net/libnet \
-		uuid:${PORTSDIR}/misc/e2fsprogs-libuuid \
-		xml2:${PORTSDIR}/textproc/libxml2
+LIB_DEPENDS=	libgnutls.so:${PORTSDIR}/security/gnutls \
+		libnet.so:${PORTSDIR}/net/libnet \
+		libuuid.so:${PORTSDIR}/misc/e2fsprogs-libuuid \
+		libxml2.so:${PORTSDIR}/textproc/libxml2
 PATCH_DEPENDS=	libtool:${PORTSDIR}/devel/libtool
 
 USE_AUTOTOOLS=	autoconf autoheader automake aclocal libtool libltdl

Added: head/sysutils/heartbeat/files/patch-tools-Makefile.am
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/heartbeat/files/patch-tools-Makefile.am	Sat Nov  9 12:30:28 2013	(r333284)
@@ -0,0 +1,11 @@
+--- tools/Makefile.am.orig	2008-08-18 12:32:19.000000000 +0000
++++ tools/Makefile.am	2013-11-08 13:57:58.000000000 +0000
+@@ -43,7 +43,7 @@
+ 
+ ## SOURCES
+ ccdv: 	$(top_srcdir)/tools/ccdv.c
+-	gcc $(AM_CFLAGS) $(CFLAGS) -o ccdv $(top_srcdir)/tools/ccdv.c
++	$(CC) $(AM_CFLAGS) $(CFLAGS) -o ccdv $(top_srcdir)/tools/ccdv.c
+ 
+ cl_status_SOURCES	= cl_status.c
+ # A little trick. Now ccdv can be auto-built but not auto-cleaned.
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"